#!/bin/sh
#date author lhpup.org license: GPL version 3 or any later version


APPTITLE="retrovol tray Icon Switcher"
APPNAME="retrovol_trayIconSwitcher"

# Set up buttons for gxmessage
# For more, gtk-demo, click stock items and icon browser
B_OK="GTK_STOCK_OK"
B_Cancel="GTK_STOCK_CANCEL"

DL_VER="`cat /etc/LHPVERSION | tr -d '.' | cut -f1 -d'-'`"

[ ! "$(ps -eo comm | grep ^X)" ] && echo "$APPTITLE needs X running." && exit #101117
 
if [ "$USER" != "root" ]; then  #101117 allow wheel group members to run as root
 if [ "`which sudo`" -a "`groups "$USER" | grep 'wheel'`" ]; then
  sudo $0 "$@" &
  exit # End script
 else
  echo "Please run '$APPTITLE' as root."
  [ "$(ps -eo comm | grep ^X)" ] && Xdialog --title "$APPTITLE" \
          --wmclass $APPNAME \
          --icon "/usr/local/lib/X11/pixmaps/info.xpm" \
          --msgbox "\n Please run '$APPTITLE' as root. \n" 0 0 &
  exit 1 # End script
 fi
fi

if [ "$1" != "-nosplash" ]; then

 MSG=`which gxmessage` || MSG=xmessage
 $MSG -title "$APPTITLE" -name "$APPNAME" -center \
     -buttons " Dark Icon:100, Light Icon:101,$B_Cancel:102" \
"
   Dark Icon: for light tray or background
   
   Light Icon: for dark tray or background"

 R=$?


  if [ "$R" == "100" ];then
  /usr/local/bin/jwm-retrovol.sh &
    exit 0 # END SCRIPT ####
  fi


  if [ "$R" == "101" ];then
  /usr/local/bin/undojwm-retrovol.sh &
    exit 0 # END SCRIPT ####
  fi


  if [ "$R" == "102" ];then # Cancel
    exit 0
  fi

  if [ "$R" == "1" ];then # User closed window
    exit 0
  fi

fi
